V1.0
get
/ec-dataaction-svc/rest/v1.0/studies/{studyId}/{mode}/visit/sdv
API allows you to retrieve a list of items (data fields) within a clinical study that require Source Data Verification (SDV) for a specified subject, event, and study version. SDV is a critical process that ensures data accuracy by cross-checking entries against original source documents.
Request
Path Parameters
-
mode(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
5D3F2567B4D34514A44B69F1E3668C1F -
studyId(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test
Query Parameters
-
eventId(required): string(uuid)
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
7978B7DD0A0A4CA899C485990994300C -
studyVersion(required): string
String representing the version of the study. Helps track changes in form or study design.Example:
2.0.0.38 -
subjectId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
AF77C6450BE94DE293C9630142E0AFAD
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : schema
Type:
Show Source
array-
Array of:
object SdvItemSelectionResponse
DTO representing selected SDV items for subject/event/form context.
Nested Schema : SdvItemSelectionResponse
Type:
objectDTO representing selected SDV items for subject/event/form context.
Show Source
-
formId: string
(UUID)
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
AF77C6450BE94DE293C9630142E0AFAD -
itemId: string
(UUID)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.Example:
33CAF3CB1DF64DF5A353A337CBE6B50A -
sdvSelectionNatureEnum: string
Nature of SDV selection for the item result may containg OPTIONAL_CRITICAL, IRRELEVANT, OLD,OBLIGATORY, OPTIONAL, IRRELEVANT_OLD.Example:
OPTIONAL_CRITICAL
Examples
400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object